
TYPO3.Fluid - Bug # 31189

Status: Resolved Priority: Should have
Author: rottenrice no-lastname-given Category: ViewHelpers
Created: 2011-10-22 Assigned To: Bastian Waidelich
Updated: 2012-07-30 Due date:
Has patch: No
Affected Flow version: Git 1.0
Subject: Make TextareaViewHelper HTML5 aware
Description

1. the code example seems to be deprecated. "rows" and "cols" are required attributes but are not used in the example.

2. i suggest to use "rows" and "cols" as optional attributes. in html5 they are no longer tagged as required. furthermore you want to set
the width and height of a textarea in css instead of using an html attribute ...

links:
http://api.typo3.org/fluid/master/class-Tx_Fluid_ViewHelpers_Form_TextareaViewHelper.html
http://www.w3.org/TR/html5/the-button-element.html#the-textarea-element

Associated revisions
Revision a5752cfd - 2012-07-26 14:00 - Bastian Waidelich

[BUGFIX] Make TextareaViewHelper HTML5 aware

This makes the arguments "rows" and "cols" of the form.textarea
ViewHelper optional.

Change-Id: Ia94a66ab4ee33e75aa789e040d9746dde2191fff
Fixes: #31189
Releases: 1.1, 1.2

Revision 2ed20916 - 2012-07-30 08:28 - Bastian Waidelich

[BUGFIX] Make TextareaViewHelper HTML5 aware

This makes the arguments "rows" and "cols" of the form.textarea
ViewHelper optional.

Change-Id: Ia94a66ab4ee33e75aa789e040d9746dde2191fff
Fixes: #31189
Releases: 1.1, 1.2

History
#1 - 2012-01-25 17:54 - Bastian Waidelich
- Tracker changed from Task to Feature
- Subject changed from TextareaViewHelper to Make TextareaViewHelper HTML5 aware
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Target version set to 1.1

#2 - 2012-05-08 18:04 - Bastian Waidelich
- Target version deleted (1.1)

#3 - 2012-07-26 13:57 - Bastian Waidelich
- Tracker changed from Feature to Bug
- Target version set to 1.1
- Affected Flow version set to Git 1.0

#4 - 2012-07-26 13:58 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13076

#5 - 2012-07-26 13:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13076

#6 - 2012-07-26 14:00 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13077

#7 - 2012-07-30 08:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13076

#8 - 2012-07-30 09:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
